Loading...
Searching...
No Matches
Halide::Internal::AssociativeOp::Replacement Struct Reference

`#include <Associativity.h>`

## Public Member Functions

| Replacement ()=default
| Replacement (const std::string &var, Expr expr)
bool | operator== (const Replacement &other) const
bool | operator!= (const Replacement &other) const

## Public Attributes

std::string | var
| Variable name that is used to replace the expr in 'op'.
Expr | expr

## Detailed Description

Definition at line 62 of file Associativity.h.

## Constructor & Destructor Documentation

## Replacement() [1/2]

Halide::Internal::AssociativeOp::Replacement::Replacement | ( |  | ) |

default

Referenced by operator!=(), and operator==().

## Replacement() [2/2]

Halide::Internal::AssociativeOp::Replacement::Replacement | ( | const std::string & | var,
|  | Expr | expr )

inline

Definition at line 68 of file Associativity.h.

References expr, and var.

## Member Function Documentation

## operator==()

bool Halide::Internal::AssociativeOp::Replacement::operator== | ( | const Replacement & | other | ) | const

inline

Definition at line 72 of file Associativity.h.

References Halide::Internal::equal(), expr, Replacement(), and var.

## operator!=()

bool Halide::Internal::AssociativeOp::Replacement::operator!= | ( | const Replacement & | other | ) | const

inline

Definition at line 75 of file Associativity.h.

References Replacement().

## Member Data Documentation

## var

std::string Halide::Internal::AssociativeOp::Replacement::var

Variable name that is used to replace the expr in 'op'.

Definition at line 64 of file Associativity.h.

Referenced by operator==(), and Replacement().

## expr

Expr Halide::Internal::AssociativeOp::Replacement::expr

Definition at line 65 of file Associativity.h.

Referenced by operator==(), and Replacement().

The documentation for this struct was generated from the following file:

- src/Associativity.h